Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.views.tiles
Class TilesResult

    java.lang.Object
      org.apache.struts2.dispatcher.StrutsResultSupport
          org.apache.struts2.dispatcher.ServletDispatcherResult
              org.apache.struts2.views.tiles.TilesResult

All Implemented Interfaces:
  com.opensymphony.xwork2.Result, java.io.Serializable, org.apache.struts2.StrutsStatics

    public class TilesResult

extends org.apache.struts2.dispatcher.ServletDispatcherResult

Renders a view using struts-tiles. In your web.xml file, you need to add a servlet entry for TilesServlet to load the tiles definitions into the ServletContext. <servlet> <servlet-name>tiles</servlet-name> <servlet-class>org.apache.tiles.servlets.TilesServlet</servlet-class> <init-param> <param-name>definitions-config</param-name> <param-value>/WEB-INF/tiles-config.xml</param-value> </init-param> <load-on-startup>1</load-on-startup> </servlet> In struts.xml, use type="tiles" on your <result>. <action name="editUser" class="userAction" method="edit"> <result name="success" type="tiles">userForm</result> <result name="input" type="tiles">userList</result> </action> Making this result type the default for the current package. <result-types> <result-type name="tiles" class="org.apache.struts2.views.tiles.TilesResult" default="true" /> </result-types>

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.struts2.dispatcher.StrutsResultSupport
`DEFAULT_PARAM`

Fields inherited from interface org.apache.struts2.StrutsStatics
`HTTP_REQUEST, HTTP_RESPONSE, PAGE_CONTEXT, SERVLET_CONTEXT, SERVLET_DISPATCHER, STRUTS_PORTLET_CONTEXT`

Constructor Summary
`TilesResult()`
`TilesResult(java.lang.String location)`

Method Summary
`void` | `doExecute(java.lang.String location, com.opensymphony.xwork2.ActionInvocation invocation)` Dispatches to the given location.

Methods inherited from class org.apache.struts2.dispatcher.StrutsResultSupport
`conditionalParse, execute, getLastFinalLocation, setEncode, setLocation, setParse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TilesResult

    public TilesResult()

### TilesResult

    public TilesResult(java.lang.String location)

Method Detail

### doExecute

    public void doExecute(java.lang.String location,
                          com.opensymphony.xwork2.ActionInvocation invocation)
                   throws java.lang.Exception

  Dispatches to the given location. Does its forward via a RequestDispatcher. If the dispatch fails a 404 error will be sent back in the http response.

  Overrides:
    `doExecute` in class `org.apache.struts2.dispatcher.ServletDispatcherResult`
  Parameters:
    `location` - the location to dispatch to.
    `invocation` - the execution state of the action
  Throws:
    `java.lang.Exception` - if an error occurs. If the dispatch fails the error will go back via the HTTP request.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.